package net.sf.javaprinciples.core;

/**
 * Based on a business requirement, a business rule has been violated and is being reported via this exception.
 */
public class BusinessException extends Exception
{
    /**
     *
     */
    private static final long serialVersionUID = -1256911288945131637L;
    private Object[] _vars;

    public BusinessException(String message)
    {
        super(message);
    }

    public BusinessException(String message, Object[] vars)
    {
        super(message);
        _vars = vars;
    }

    public Object[] getParams()
    {
        return _vars;
    }
}
